Subject: Re: virtio-net: new section mismatch warning. revert patch?

From: Rusty Russell <[email-masked]>
Date: Thu, 5 Nov 2009 15:10:53 +1030

On Thu, 5 Nov 2009 12:47:30 am Michael S. Tsirkin wrote:
> With v2.6.32-rcX I started getting section mismatch warnings for
> virtio_net.
> make with CONFIG_DEBUG_SECTION_MISMATCH=y shows:
> 
> WARNING: drivers/net/virtio_net.o(.data+0x90): Section mismatch in
> reference from the variable virtio_net to the function
> .devexit.text:virtnet_remove()                                                                    
> The variable virtio_net references                                                                            
> the function __devexit virtnet_remove()                                                                       
> If the reference is valid then annotate the                                                                   
> variable with __exit* (see linux/init.h) or name the variable:                                                
> *driver, *_template, *_timer, *_sht, *_ops, *_probe, *_probe_one, *_console,                                  
> 
> virtnet_remove was converted to devexit by this commit:
> 
> 	commit 3d1285beff2e8467b8c3884d83b7a91a99aa9fcd
> 	Author: Uwe Kleine-König <[email-masked]>
> 	Date:   Wed Sep 30 22:28:34 2009 +0000
> 
> 	    move virtnet_remove to .devexit.text
> 
> We didn't have these warnings in v2.6.31, so this is a regression.
> revert?

No, just rename "virtio_net" to "virtio_net_driver".  Meanwhile, ignore it.
It's worked well for me so far.

Uwe: I apologize for accepting your patches.  I will be more careful in
future.

Cheers,
Rusty.